curl --request POST \
--url https://api.sandbox.lead.bank/v1/simulate/ach/incoming_ach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"currency_code": "USD",
"transaction_type": "credit",
"account_number_id": "account_number_xyz123",
"sec_code": "WEB",
"statement_descriptor": "P2P Credit",
"sender_name": "Lorum Inc.",
"sender_company_id": 1234567890,
"sender_routing_number": 111122222
}
'import requests
url = "https://api.sandbox.lead.bank/v1/simulate/ach/incoming_ach"
payload = {
"amount": 5000,
"currency_code": "USD",
"transaction_type": "credit",
"account_number_id": "account_number_xyz123",
"sec_code": "WEB",
"statement_descriptor": "P2P Credit",
"sender_name": "Lorum Inc.",
"sender_company_id": 1234567890,
"sender_routing_number": 111122222
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 5000,
currency_code: 'USD',
transaction_type: 'credit',
account_number_id: 'account_number_xyz123',
sec_code: 'WEB',
statement_descriptor: 'P2P Credit',
sender_name: 'Lorum Inc.',
sender_company_id: 1234567890,
sender_routing_number: 111122222
})
};
fetch('https://api.sandbox.lead.bank/v1/simulate/ach/incoming_ach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Simulate Incoming ACH
Simulate an incoming ACH.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The amount of the transaction in cents.
0 <= x <= 99000000005000
A three-letter currency code as defined in ISO 4217.
USD "USD"
ACH transaction type.
credit, debit "credit"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The Standard Entry Class, SEC, to code the outgoing ACH. Lead currently supports:
CCD: Corporate paymentPPD: Written authorization to initiate paymentTEL: Telephone initiated paymentWEB: Web initiated paymentCIE: Customer initiated entry
CCD, PPD, TEL, WEB, CIE "WEB"
The description you would like to appear on your customers’ statement. Maximum number of characters is 10.
1 - 10^(?!0+$)(?! +$)[\x20-\x7E]*$"P2P Credit"
The name of the sender. Maximum number of characters is 16.
"Lorum Inc."
The company id of the sender. Maximum number of characters is 10.
1234567890
The 9 digit routing number of the sender.
111122222
Response
Incoming ACH object created.
The response is of type object.
Was this page helpful?

